import { CognitoIdentityClient } from "@aws-sdk/client-cognito-identity";
import { DynamoDBClient } from "@aws-sdk/client-dynamodb";
import { DynamoDBStreamsClient } from "@aws-sdk/client-dynamodb-streams";
import { S3Client } from "@aws-sdk/client-s3";
var AwsApi = /** @class */ (function () {
    function AwsApi(config) {
        var _a, _b, _c, _d;
        this.dynamoDB = new DynamoDBClient((_a = config.dynamoDB) !== null && _a !== void 0 ? _a : {});
        this.dynamoDBStreams = new DynamoDBStreamsClient((_b = config.dynamoDBStreams) !== null && _b !== void 0 ? _b : {});
        this.s3 = new S3Client((_c = config.s3) !== null && _c !== void 0 ? _c : {});
        this.cognitoIdentity = new CognitoIdentityClient((_d = config.cognitoIdentity) !== null && _d !== void 0 ? _d : {});
    }
    return AwsApi;
}());
export default AwsApi;
