import { AttributeValue } from "@aws-sdk/client-dynamodb";
declare class DdbUtils {
    /**
     * Returns the specified number as DDB attribute value.
     */
    getNumberAV(value: number): AttributeValue;
    /**
     * Returns the specified string as DDB attribute value.
     */
    getStringAV(value: string): AttributeValue;
    /**
     * Returns the specified bool as DDB attribute value.
     */
    getBoolAV(value: boolean): AttributeValue;
    /**
     * Returns the specified date as DDB attribute value.
     */
    getDateAV(value: Date): AttributeValue;
    /**
     * Returns the specified string array as DDB attribute value.
     */
    getStringArrayAV(value: string[]): AttributeValue;
    /**
     * Returns the specified numberarray as DDB attribute value.
     */
    getNumberArrayAV(value: number[]): AttributeValue;
}
declare const _default: DdbUtils;
export default _default;
